Damoov CloudFlare Proxy

Damoov provides a proxy service to fetch HTTP Traffic data between clients app and Damoov platform.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cloudflare GraphQL API Integration

Cloudflare offers a comprehensive GraphQL API for advanced analytics. For more details, please refer to the official documentation: Cloudflare GraphQL API.

Damoov Integration with Cloudflare

Damoov integrates with Cloudflare to provide HTTP traffic data based on your app bundle IDs. To start using this service:
1. Add your app bundle IDs in the Company Settings page on the Damoov Portal.
2. Generate an x-api-key to authenticate your requests.

Query Format

When using the Damoov Proxy Cloudflare API, we handle Cloudflare credentials and ZoneFilter_InputObject on your behalf. To structure your queries, start with the section.

For more details on the Cloudflare GraphQL schema, please refer to the official documentation: Explore the Cloudflare GraphQL Schema.

Example of request:

curl --location --request POST 'https://analytics.telematicssdk.com/system/analytics/v1/cloudflare/proxy' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <key>' \
--data '{
    "query": "httpRequestsAdaptiveGroups( filter: { datetime_geq: \"2025-02-18T00:00:00Z\" datetime_leq: \"2025-02-19T23:59:59Z\" } limit: 1000 orderBy: [datetimeFifteenMinutes_ASC] ) { sum {edgeDnsResponseTimeMs  edgeTimeToFirstByteMs edgeResponseBytes} count dimensions { datetimeFifteenMinutes edgeResponseStatus clientRequestPath} }"
}'
Body Params
string
required

GraphQL query

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json